---
updatedAt: 2025-09-22T21:34:31.000Z
agentTools:
  projectIndex: https://developers.digitalfemsa.io/llms.txt
---

# Next

## Params

|      | Tipo                       | Descripción                                                 |
| :--- | :------------------------- | :---------------------------------------------------------- |
| next | *string* as specific value | Last id on the page. the Id's depend on what is being paged |

Ejemplos de Urls de paginación, pensado en colocar algunas variables como variables de entorno:

> 📘 Pagination, Practical examples
>
> **Clientes**: [https://api.digitalfemsa.io/customers?limit=`{limit_value}`\&next=`{customer_id}`](https://api.digitalfemsa.io/customers?limit=`\{limit_value}`\&next=`\{customer_id}`)
>
> **Ordenes**: [https://api.digitalfemsa.io/orders?limit=`{limit_value}`\&next=`{order_id}`](https://api.digitalfemsa.io/orders?limit=`\{limit_value}`\&next=`\{order_id}`)

```curl
curl -H "Accept: application/vnd.app-v2.1.0+json" \
 -H "Content-type: application/json" \
 -u key_eYvWV7gSDkNYXsmr: \
 -X GET https://api.digitalfemsa.io/customers?limit=5&next=cus_zzmjKsnM9oacyCwV3

//orders json example
{
    "next_page_url": "https://api.digitalfemsa.io/orders?limit=20&next=ord_2hyyAMFUjroKwPR7L",
    "previous_page_url": "https://api.digitalfemsa.io/orders?limit=20&previous=ord_2j9NfCf4xs5qzpUrf",
    "has_more": true,
    "object": "list",
    "data": [
        {
            "livemode": false,
            "amount": 4480,
            "currency": "USD",
            "payment_status": "paid",
            "amount_refunded": 0,
            "customer_info": {
                "email": "soporte@conekta.com",
                "phone": "55 1234 5678",
                "name": "test oxxo pay",
                "corporate": false,
                "object": "customer_info"
            },
            "shipping_contact": {
                "address": {
                    "street1": "dfsdfsdf",
                    "city": "sfda",
                    "state": "MEX",
                    "country": "mx",
                    "residential": true,
                    "object": "shipping_address",
                    "postal_code": "01000"
                },
                "id": "ship_cont_2j9NgPyuUXHixVdUZ",
                "object": "shipping_contact",
                "created_at": 0
            },
            "fiscal_entity": {
                "address": {
                    "street1": "dfsdfsdf",
                    "city": "sfda",
                    "state": "MEX",
                    "country": "mx",
                    "object": "fiscal_entity_address",
                    "postal_code": "01000"
                },
                "id": "fis_ent_2j9NgPyuUXHixVdUX",
                "object": "fiscal_entity",
                "created_at": 0
            },
            "object": "order",
            "id": "ord_2j9NfCf4xs5qzpUrf",
            "metadata": {},
            "created_at": 1535064813,
            "updated_at": 1535064902,
            "charges": {
                "object": "list",
                "has_more": false,
                "data": [
                    {
                        "id": "5b7f3aededbb6e730ff16cf4",
                        "livemode": false,
                        "created_at": 1535064813,
                        "currency": "MXN",
                        "device_fingerprint": "eUBNjNE3KJCgGtmjZUaZZGFxP5EkcnQ6",
                        "payment_method": {
                            "name": "info gen",
                            "address": {
                                "street1": "dfsdfsdf",
                                "city": "sfda",
                                "state": "MEX",
                                "zip": "01000",
                                "country": "MX",
                                "object": "address"
                            },
                            "object": "cash_payment"
                        },
                        "object": "charge",
                        "reference_id": "c5113069764702.3",
                        "status": "paid",
                        "amount": 82966,
                        "fee": 3081,
                        "customer_id": "",
                        "order_id": "ord_2j9NfCf4xs5qzpUrf"
                    }
                ]
            }
        }
    ]
}

//client response
{
    "next_page_url": "https://api.digitalfemsa.io/customers?limit=20&next=cus_2k6HrxWCNiMEQsWUF",
    "previous_page_url": "https://api.digitalfemsa.io/customers?limit=20&previous=cus_2oQVKiYcAEeFQXmVb",
    "has_more": true,
    "object": "list",
    "data": [
        {
            "livemode": false,
            "name": "Juan Perez",
            "email": "test_jp@gmail.com",
            "phone": "+525514014109",
            "id": "cus_2oQVKiYcAEeFQXmVb",
            "object": "customer",
            "created_at": 1600373525,
            "corporate": false,
            "custom_reference": "",
            "payment_sources": {
                "object": "list",
                "has_more": false,
                "data": [
                    {
                        "id": "off_ref_2oQVKiYcAEeFQXmVc",
                        "object": "payment_source",
                        "type": "cash",
                        "reference": "646180111812345678",
                        "created_at": 1600373525,
                        "parent_id": "cus_2oQVKiYcAEeFQXmVb"
                    }
                ]
            }
        }
    ]
}
```